> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mobile event by ID

> Get a specific mobile event by its ID



## OpenAPI

````yaml get /v1/core/mobile-events/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/mobile-events/{id}:
    get:
      summary: Get mobile event by ID
      description: Get a specific mobile event by its ID
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Get mobile event by ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  recordingId:
                    type: string
                  externalOpportunityIds:
                    type: array
                    items:
                      type: string
                  userId:
                    type: string
                  organizationId:
                    type: string
                  eventCode:
                    type: string
                    enum:
                      - recorderStateChange
                      - networkStatusChange
                      - appStateChange
                      - consentStatusChanged
                      - recordingMetadataChanged
                      - deeplinkReceived
                      - deeplinkConsumed
                      - userAuthStatusChanged
                  event:
                    anyOf:
                      - type: object
                        properties:
                          value:
                            type: string
                            enum:
                              - start
                              - resume
                              - pause
                              - stop
                              - cancelled
                          trigger:
                            type: string
                            enum:
                              - interruption
                              - buttonPress
                              - deeplink
                              - maxRecordingTimeExceeded
                              - unknown
                        required:
                          - value
                          - trigger
                      - type: object
                        properties:
                          value:
                            type: string
                            enum:
                              - online
                              - offline
                        required:
                          - value
                      - type: object
                        properties:
                          value:
                            type: string
                            enum:
                              - background
                              - active
                              - inactive
                        required:
                          - value
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - requested
                              - granted
                              - declined
                        required:
                          - status
                      - type: object
                        properties:
                          title:
                            type: string
                        required:
                          - title
                      - type: object
                        properties:
                          fullUrl:
                            type: string
                        required:
                          - fullUrl
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - authenticated
                              - unauthenticated
                        required:
                          - status
                  createdAt:
                    type: string
                required:
                  - id
                  - userId
                  - organizationId
                  - eventCode
                  - event
                  - createdAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````